Bug 1442168 - When using dynamic drop downs, sorting of items doesn't work in self service portal.
Summary: When using dynamic drop downs, sorting of items doesn't work in self service ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.7.0
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Chris Hale
QA Contact: Shveta
URL:
Whiteboard: ssui:dialog
Depends On: 1436720
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-13 17:22 UTC by Satoe Imaishi
Modified: 2017-05-31 15:04 UTC (History)
9 users (show)

Fixed In Version: 5.8.0.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1436720
Environment:
Last Closed: 2017-05-31 15:04:30 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-13 19:18:00 UTC
New commit detected on ManageIQ/manageiq-ui-service/fine:
https://github.com/ManageIQ/manageiq-ui-self_service/commit/ebaa4116894094dce1db19401fa30fbe61884ee2

commit ebaa4116894094dce1db19401fa30fbe61884ee2
Author:     Chris Kacerguis <chriskacerguis@users.noreply.github.com>
AuthorDate: Wed Apr 12 14:55:27 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Apr 13 15:13:19 2017 -0400

    Merge pull request #671 from chalettu/dynamic-dialog-sort
    
    Created ability for dynamic dialogs to be sorted
    (cherry picked from commit 544f2607cf0be049ac4272a7f81e1bbd78a1e27a)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1442168

 client/app/core/dialog-field-refresh.service.js | 21 ++++++++++++++++++++-
 1 file changed, 20 insertions(+), 1 deletion(-)

Comment 3 Shveta 2017-04-19 19:13:19 UTC
Fixed .
Verified in 5.8.0.11-beta2.20170418170914_a53d2a7

Comment 5 errata-xmlrpc 2017-05-31 15:04:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.